/**
 * Copyright 2006 Joseph M. Ferner
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *    
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.fernsroth.easyio;

import java.io.IOException;

/**
 * 
 * @author Joseph M. Ferner (Near Infinity Corporation)
 */
public interface IInputStream {

    /**
     * read a single byte.
     * @return the data read.
     * @throws IOException 
     */
    int read() throws IOException;

    /**
     * @param buffer the buffer to put the data in.
     * @param off the offset into buffer to start reading into.
     * @param len the length to read.
     * @return the number of bytes read.
     * @throws IOException 
     */
    int read(byte[] buffer, int off, int len) throws IOException;

    /**
     * @param buffer the buffer to read data into.
     * @return the number of bytes read.
     * @throws IOException 
     */
    int read(byte[] buffer) throws IOException;
}
