/**
 * Copyright 2006 Joseph M. Ferner
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *    
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.fernsroth.easyio;

import java.io.IOException;

/**
 * 
 * @author Joseph M. Ferner (Near Infinity Corporation)
 */
public interface IOutputStream {
    /**
     * @param b the data.
     * @throws IOException 
     */
    void write(int b) throws IOException;

    /**
     * writes data.
     * @param buffer the data to write.
     * @throws IOException 
     */
    void write(byte[] buffer) throws IOException;

    /**
     * writes data.
     * @param buffer the data to write.
     * @param start the start.
     * @param length the length.
     * @throws IOException 
     */
    void write(byte[] buffer, int start, int length) throws IOException;
}
