/**
 * Copyright 2006 Joseph M. Ferner
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *    
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.fernsroth.easyio.exception;

/**
 * EasyRW Exception.
 * @author Joseph M. Ferner (Near Infinity Corporation)
 */
public abstract class EasyIOException extends Exception {

    /**
     * serialization.
     */
    private static final long serialVersionUID = -6922546355313391006L;

    /**
     * constructor.
     * @param message the message.
     */
    public EasyIOException(String message) {
        super(message);
    }

    /**
     * constructor.
     * @param cause the cause.
     */
    public EasyIOException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message the message.
     * @param cause the cause of the exception.
     */
    public EasyIOException(String message, Throwable cause) {
        super(message, cause);
    }

}
