/**
 * Copyright 2006 Joseph M. Ferner
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *    
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.fernsroth.easyio.exception;

/**
 * 
 * @author Joseph M. Ferner (Near Infinity Corporation)
 */
public class GetterNotFoundException extends EasyIOException {

    /**
     * serialization.
     */
    private static final long serialVersionUID = 5668330439998503046L;

    /**
     * @param clazz the class that was searched.
     * @param fieldName the name of the field.
     * @param cause the cause of the exception.
     */
    public GetterNotFoundException(Class<?> clazz, String fieldName,
            Throwable cause) {
        super("getter for [" + fieldName + "] in class [" + clazz.getName()
                + "] not found.", cause);
    }

}
