/**
 * Copyright 2006 Joseph M. Ferner
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *    
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.fernsroth.easyio.exception;

/**
 * 
 * @author Joseph M. Ferner (Near Infinity Corporation)
 */
public class InvalidEasyIOTypeException extends EasyIOException {

    /**
     * serialization.
     */
    private static final long serialVersionUID = -5607209800532166973L;

    /**
     * the type string. 
     */
    private String typeString;

    /**
     * @param typeString the type that was invalid.
     */
    public InvalidEasyIOTypeException(String typeString) {
        super("invalid EasyRW type [" + typeString + "]");
        this.typeString = typeString;
    }

    /**
     * gets the type string.
     * @return the typeString
     */
    public String getTypeString() {
        return this.typeString;
    }

}
